#!/bin/bash

# Script for executing ALL benchmarks
# uncomment corresponding scripts to enable benchmark

# Failsafe to prevent execution of unwanted benchmarks
echo "Runtime of benchmarks can be up to 8h"
echo "The following benchmark scripts will be executed:"
if ! grep '^./run' ./run_benchmarks.sh
then
  echo "No benchmarks enabled"
fi
echo "Are these the ONLY benchmarks you want to run?"
select answer in "y" "n"
do
  case $answer in
    y ) break;;
    n ) exit;;
  esac
done

echo "Started at $(date -I'seconds')"

# High contention, high conflict
# ~5h runtime
#./run_hchc.sh

# High contention, low conflict
# ~25min runtime
#./run_hclc.sh

# Low contention, low conflict
# ~25min runtime
#./run_lclc.sh

# Range queries
# ~8min runtime
#./run_rangequeries.sh

# Hashtable
# ~2h runtime
#./run_hashtable.sh

echo "Ended at $(date -I'seconds')"
